Bug 727404 - systemd unit files missing from install image
systemd unit files missing from install image
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-01 23:54 EDT by John Reiser
Modified: 2013-10-30 13:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 13:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
pylorax.log (1.22 KB, text/plain)
2011-08-02 13:14 EDT, John Reiser
no flags Details
pylorax.log.gz (88.67 KB, text/plain)
2011-08-02 18:29 EDT, John Reiser
no flags Details
pylorax.log.gz (88.19 KB, application/x-gzip)
2011-08-03 12:58 EDT, John Reiser
no flags Details
/tmp/syslog during install (107.02 KB, text/plain)
2011-08-03 13:04 EDT, John Reiser
no flags Details
/tmp/syslog with "enforcing=0" (107.86 KB, text/plain)
2011-08-03 13:08 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2011-08-01 23:54:42 EDT
Description of problem: Attempting install from DVD (F-16 alpha TC1) gives several messages "Unit *.service failed to load: No such file or directory."


Version-Release number of selected component (if applicable):
lorax-16.4-2

How reproducible: every time


Steps to Reproduce:
1. boot F-16 alpha TC1 DVD for install
2.
3.
  
Actual results: system console shows:
[   12.145547] systemd[1]: systemd 30 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +SYSVINIT +LIBCRYPTSETUP; fedora)
[   12.166970] systemd[1]: Set hostname to <localhost.localdomain>.
[   12.174247] systemd[1]: Initializing machine ID from random generator.
[   12.276039] systemd-getty-g used greatest stack depth: 3856 bytes left
[   12.371884] systemd[1]: [/lib/systemd/system/instperf.service:8] Unknown lvalue 'ConditionKernelCommandLine' in section 'Service'. Ignoring.
[   12.513207] systemd[1]: Failed to fully start up daemon: No such file or directory
[   12.521258] systemd[1]: Cannot add dependency job for unit fedora-readonly.service, ignoring: Unit fedora-readonly.service failed to load: No such file or directory. See system logs and 'systemctl status fedora-readonly.service' for details.
[   12.543387] systemd[1]: Cannot add dependency job for unit fedora-wait-storage.service, ignoring: Unit fedora-wait-storage.service failed to load: No such file or directory. See system logs and 'systemctl status fedora-wait-storage.service' for details.
[   12.566578] systemd[1]: Cannot add dependency job for unit systemd-remount-api-vfs.service, ignoring: Unit systemd-remount-api-vfs.service failed to load: No such file or directory. See system logs and 'systemctl status systemd-remount-api-vfs.service' for details.
[   12.590763] systemd[1]: Cannot add dependency job for unit fedora-storage-init.service, ignoring: Unit fedora-storage-init.service failed to load: No such file or directory. See system logs and 'systemctl status fedora-storage-init.service' for details.
[   12.613930] systemd[1]: Cannot add dependency job for unit lvm2-monitor.service, ignoring: Unit dm-event.socket failed to load: No such file or directory. See system logs and 'systemctl status dm-event.socket' for details.
[   12.634220] systemd[1]: Cannot add dependency job for unit dm-event.socket, ignoring: Unit dm-event.socket failed to load: No such file or directory. See system logs and 'systemctl status dm-event.socket' for details.
[   12.654058] systemd[1]: Cannot add dependency job for unit avahi-daemon.socket, ignoring: Unit avahi-daemon.socket failed to load: No such file or directory. See system logs and 'systemctl status avahi-daemon.socket' for details.
[   12.674953] systemd[1]: Cannot add dependency job for unit iptables.service, ignoring: Unit iptables.service failed to load: No such file or directory. See system logs and 'systemctl status iptables.service' for details.
[   12.695051] systemd[1]: Cannot add dependency job for unit ip6tables.service, ignoring: Unit ip6tables.service failed to load: No such file or directory. See system logs and 'systemctl status ip6tables.service' for details.
[   12.715476] systemd[1]: Cannot add dependency job for unit dbus.target, ignoring: Unit dbus.target failed to load: No such file or directory. See system logs and 'systemctl status dbus.target' for details.


Expected results: no complaints


Additional info:
Comment 1 Martin Gracik 2011-08-02 02:54:56 EDT
Can you please attach the pylorax.log ? You can find it in the pungi work directory.
Comment 2 John Reiser 2011-08-02 13:14:38 EDT
Created attachment 516372 [details]
pylorax.log

Here is pylorax.log from my pungi run which finished just now.  It looks to be of no use here, because my composes still fail due to bug #726743 (pyorbit missing).  I'll keep trying.
Comment 3 John Reiser 2011-08-02 18:29:36 EDT
Created attachment 516401 [details]
pylorax.log.gz

This pylorax.log (gzipped) is from a pungi run that succeeded.  However the previous complaints from systemd during boot of DVD for install have gone away.  Instead there are now multiple avc's related to systemd.  I'll see what happens tomorrow morning.
Comment 4 John Reiser 2011-08-03 12:58:12 EDT
Created attachment 516545 [details]
pylorax.log.gz

From a pungi DVD that was built using today's f16-branched repo.
Comment 5 John Reiser 2011-08-03 13:04:45 EDT
Created attachment 516546 [details]
/tmp/syslog during install

Here is the syslog from an install of a DVD corresponding to that pylorax.log.gz.  Several systemd unit files are missing (lines 891-909).  Also there are many avc complaints (lines 732-740, 818, 864-879, etc.)  Either lorax forgot the files and/or their selinux security context labels, or dracut didn't re-label them correctly during boot, or ...
Comment 6 John Reiser 2011-08-03 13:08:05 EDT
Created attachment 516547 [details]
/tmp/syslog with "enforcing=0"

This is syslog from the same DVD as before (pylorax.log.gz attachment 516545 [details]; syslog attachment 516546 [details]) except I added " enforcing=0" to the kernel boot command line when installing.  The errors are different, including the anaconda error which terminated the install.
Comment 7 Martin Gracik 2011-08-25 04:00:30 EDT
Does this still happen with f16-alpha?
Comment 8 John Reiser 2011-08-25 14:21:56 EDT
Yes, this still occurs with f15-alpha-x86_64:
----- [from /tmp/syslog during install from DVD]
17:21:12,648 INFO kernel:[   25.815069] No iBFT detected.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit fedora-storage-init.service, ignoring: Unit fedora-storage-init.service failed to load: No such file or directory. See system logs and 'systemctl status fedora-storage-init.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit fedora-readonly.service, ignoring: Unit fedora-readonly.service failed to load: No such file or directory. See system logs and 'systemctl status fedora-readonly.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit fedora-wait-storage.service, ignoring: Unit fedora-wait-storage.service failed to load: No such file or directory. See system logs and 'systemctl status fedora-wait-storage.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit systemd-remount-api-vfs.service, ignoring: Unit systemd-remount-api-vfs.service failed to load: No such file or directory. See system logs and 'systemctl status systemd-remount-api-vfs.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit lvm2-monitor.service, ignoring: Unit dm-event.socket failed to load: No such file or directory. See system logs and 'systemctl status dm-event.socket' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit avahi-daemon.socket, ignoring: Unit avahi-daemon.socket failed to load: No such file or directory. See system logs and 'systemctl status avahi-daemon.socket' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit dm-event.socket, ignoring: Unit dm-event.socket failed to load: No such file or directory. See system logs and 'systemctl status dm-event.socket' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit ip6tables.service, ignoring: Unit ip6tables.service failed to load: No such file or directory. See system logs and 'systemctl status ip6tables.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit iptables.service, ignoring: Unit iptables.service failed to load: No such file or directory. See system logs and 'systemctl status iptables.service' for details.
17:21:17,0 NOTICE dbus: [system] Activating via systemd: service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
17:21:17,0 WARNING systemd: Cannot add dependency job for unit fedora-storage-init.service, ignoring: Unit fedora-storage-init.service failed to load: No such file or directory. See system logs and 'systemctl status fedora-storage-init.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit fedora-readonly.service, ignoring: Unit fedora-readonly.service failed to load: No such file or directory. See system logs and 'systemctl status fedora-readonly.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit fedora-wait-storage.service, ignoring: Unit fedora-wait-storage.service failed to load: No such file or directory. See system logs and 'systemctl status fedora-wait-storage.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit systemd-remount-api-vfs.service, ignoring: Unit systemd-remount-api-vfs.service failed to load: No such file or directory. See system logs and 'systemctl status systemd-remount-api-vfs.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit lvm2-monitor.service, ignoring: Unit dm-event.socket failed to load: No such file or directory. See system logs and 'systemctl status dm-event.socket' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit avahi-daemon.socket, ignoring: Unit avahi-daemon.socket failed to load: No such file or directory. See system logs and 'systemctl status avahi-daemon.socket' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit dm-event.socket, ignoring: Unit dm-event.socket failed to load: No such file or directory. See system logs and 'systemctl status dm-event.socket' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit ip6tables.service, ignoring: Unit ip6tables.service failed to load: No such file or directory. See system logs and 'systemctl status ip6tables.service' for details.
17:21:17,0 WARNING systemd: Cannot add dependency job for unit iptables.service, ignoring: Unit iptables.service failed to load: No such file or directory. See system logs and 'systemctl status iptables.service' for details.
-----
Comment 9 John Reiser 2011-08-25 14:24:07 EDT
Typo in previous comment; it is the just-released Fedora 16 alpha, not "f15-alpha-x86_64".
Comment 10 Fedora Admin XMLRPC Client 2013-02-04 10:03:32 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-04-03 09:48:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 12 Brian Lane 2013-10-30 13:56:52 EDT
If this is still a problem please reopen with current logs from f20.

Note You need to log in before you can comment on or make changes to this bug.